## ros-rolling-tf2-2d 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14.4)
project(tf2_2d)

find_package(ament_cmake REQUIRED)
find_package(Boost REQUIRED)
find_package(Eigen3 REQUIRED)
find_package(rclcpp REQUIRED)
find_package(tf2 REQUIRED)
find_package(tf2_geometry_msgs REQUIRED)
find_package(tf2_ros REQUIRED)

###########
## Build ##
###########

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Werror)
endif()

add_library(tf2_2d INTERFACE)
target_compile_features(tf2_2d INTERFACE cxx_std_14)
target_include_directories(tf2_2d INTERFACE
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>")
target_link_libraries(tf2_2d INTERFACE
  Boost::boost
  Eigen3::Eigen
  rclcpp::rclcpp
  tf2::tf2
  tf2_ros::tf2_ros
  tf2_geometry_msgs::tf2_geometry_msgs)

#############
## Install ##
#############

# Install header files
install(DIRECTORY include/
  DESTINATION include/${PROJECT_NAME}
)

install(
  TARGETS tf2_2d EXPORT tf2_2d-export
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

# Export modern CMake target
ament_export_targets(tf2_2d-export)

#############
## Testing ##
#############

if(BUILD_TESTING)
  # Exclude copyright check because it requires a CONTRIBUTING.md file
  list(APPEND AMENT_LINT_AUTO_EXCLUDE "ament_cmake_copyright")

  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  # Conversion Tests
  ament_add_gtest(test_conversions
    test/test_conversions.cpp
  )
  target_link_libraries(test_conversions
    tf2_2d
  )

  # Rotation Tests
  ament_add_gtest(test_rotation
    test/test_rotation.cpp
  )
  target_link_libraries(test_rotation
    tf2_2d
  )

  # Transform Tests
  ament_add_gtest(test_transform
    test/test_transform.cpp
  )
  target_link_libraries(test_transform
    tf2_2d
  )

  # Vector2 Tests
  ament_add_gtest(test_vector2
    test/test_vector2.cpp
  )
  target_link_libraries(test_vector2
    tf2_2d
  )
endif()

ament_package()

=== debian/changelog ===
ros-rolling-tf2-2d (1.0.1-2jammy) jammy; urgency=high

  * Port tf2_2d to ROS 2 (#5 <https://github.com/locusrobotics/tf2_2d/issues/5>)
    * Build sytem changes for ROS 2
    * Code changes for ROS 2
    * Don't need int main(); because linking to GTEST_MAIN_LIBRARIES
    * Skip ament_cmake_copyright
    * Move .h headers to .hpp
    * Add .h headers with warning for backwards compatability
    * Linter fixes: Satisfy Uncrustify
    * Linter fixes: Satisfy cpplint
    * Minimum CMake 3.14.4
    * ${tf2_geometry_msgs_TARGETS} -> tf2_geometry_msgs::tf2_geometry_msgs
    * Bump copywrite date on redirection headers
    * Remove Scalar.h include
  * Tailor: Updating Jenkinsfile
  * Tailor: Updating Jenkinsfile
  * Tailor: Updating Jenkinsfile
  * Contributors: Shane Loretz, locus-services

 -- Stephen Williams <swilliams@locusrobotics.com>  Fri, 03 Mar 2023 08:00:00 -0000

ros-rolling-tf2-2d (0.6.4-2jammy) jammy; urgency=high

  * Handling issue with tf2 circular dependency (#4 <https://github.com/locusrobotics/tf2_2d/issues/4>)
    * Handling issue with tf2 circular dependency and other warnings
  * Contributors: Tom Moore

 -- Stephen Williams <swilliams@locusrobotics.com>  Wed, 14 Jul 2021 07:00:00 -0000

ros-rolling-tf2-2d (0.6.3-2jammy) jammy; urgency=high

  * Fixing package license
  * Contributors: Tom Moore

 -- Stephen Williams <swilliams@locusrobotics.com>  Tue, 13 Jul 2021 07:00:00 -0000

ros-rolling-tf2-2d (0.6.2-2jammy) jammy; urgency=high

  * Fix test build issue in noetic
  * Contributors: Tom Moore

 -- Stephen Williams <swilliams@locusrobotics.com>  Mon, 12 Jul 2021 07:00:00 -0000

ros-rolling-tf2-2d (0.6.1-2jammy) jammy; urgency=high

  * Contributors: locus-services

 -- Stephen Williams <swilliams@locusrobotics.com>  Sun, 11 Jul 2021 07:00:00 -0000

ros-rolling-tf2-2d (0.6.0-2jammy) jammy; urgency=high

  * Contributors: locus-services

 -- Stephen Williams <swilliams@locusrobotics.com>  Fri, 02 Oct 2020 07:00:00 -0000

ros-rolling-tf2-2d (0.5.0-2jammy) jammy; urgency=high

  * License cleanup (#3 <https://github.com/locusrobotics/tf2_2d/issues/3>)
  * Contributors: Stephen Williams, locus-services

 -- Stephen Williams <swilliams@locusrobotics.com>  Fri, 12 Jul 2019 07:00:00 -0000

ros-rolling-tf2-2d (0.4.0-2jammy) jammy; urgency=high

  * Contributors: locus-services

 -- Stephen Williams <swilliams@locusrobotics.com>  Mon, 18 Mar 2019 07:00:00 -0000

ros-rolling-tf2-2d (0.3.0-2jammy) jammy; urgency=high

  * [RST-1548] transform covariance (#2 <https://github.com/locusrobotics/tf2_2d/issues/2>)
    * Added conversions to Eigen types
    * Added stream operators
    * Added some additional toMsg conversions using a non-tf2-standard signature
    * Added functions to transform SE2 covariance matrices
  * Tailor: Creating Jenkinsfile
  * Expanded readme
  * Renamed the Transform rotation value to 'yaw'
  * Moved into separate repo
  * Contributors: Stephen Williams, locus-services

 -- Stephen Williams <swilliams@locusrobotics.com>  Wed, 16 Jan 2019 08:00:00 -0000

ros-rolling-tf2-2d (0.2.0-2jammy) jammy; urgency=high

  * Adding tf_2d constructor overload from a standard tf transform
  * Contributors: Stephen Williams, Tom Moore

 -- Stephen Williams <swilliams@locusrobotics.com>  Mon, 16 Apr 2018 07:00:00 -0000

ros-rolling-tf2-2d (0.1.0-2jammy) jammy; urgency=high

  * Small trig cache optimization in the 'unrotate()' function
  * Added 2D geometry classes (vector, rotation, transform) and conversion functions in the style of the tf2 3D geometry classes
  * Contributors: Stephen Williams

 -- Stephen Williams <swilliams@locusrobotics.com>  Wed, 14 Feb 2018 08:00:00 -0000

=== debian/control ===
Source: ros-rolling-tf2-2d
Section: misc
Priority: optional
Maintainer: Stephen Williams <swilliams@locusrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libboost-dev, libeigen3-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-rclcpp, ros-rolling-tf2, ros-rolling-tf2-geometry-msgs, ros-rolling-tf2-ros, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-tf2-2d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-dev, libeigen3-dev, ros-rolling-rclcpp, ros-rolling-tf2, ros-rolling-tf2-geometry-msgs, ros-rolling-tf2-ros, ros-rolling-ros-workspace
Description: A set of 2D geometry classes modeled after the 3D geometry classes in tf2.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-tf2-2d//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
